Name:		authbind
Version:	2.1.1
Release:	1%{?dist}
Summary:	Allows non-root programs to bind() to low ports
Summary(ko): non-root 권한으로 1024 하위의 포트 바인드를 허가하는 유틸리티

Group:		Utilities/System
License:	GPLv2
URL:		http://ftp.debian.org/debian/pool/main/a/authbind/
Source0:	http://ftp.debian.org/debian/pool/main/a/authbind/%{name}_%{version}.tar.gz
Patch0:		%{name}-rpm-x86_64.patch
Patch1:		%{name}-rpm-i686.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:	%{name}-libs


%description
Allows non-root programs to bind() to low ports. This package allows
a package to be started as non-root but still bind to low ports,
without any changes to the application.


%package libs
Group:		Applications/Libraries
Summary:	authbind dynamic library
Summary(ko): authbind 동적 라이브러리

%description libs
authbind dynamic library


%package devel
Group:		Development/Libraries
Summary:	authbind development libraries and header files
Summary(ko): authbind 개발 라이브러리와 헤더 파일
Requires:	%{name}-libs

%description devel
authbind development libraries and header files


%prep
%setup -q
%ifarch x86_64
%patch0 -p1
%endif
%ifarch ix86
%patch1 -p1
%endif


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%{__mkdir_p} %{buildroot}%{_includedir}
%{__install} -m644 authbind.h %{buildroot}%{_includedir}/authbind.h

pushd %{buildroot}%{_libdir}/authbind >& /dev/null
	%{__ln_s} -f libauthbind.so.1.0 libauthbind.so
popd >& /dev/null

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/authbind
%dir %{_sysconfdir}/authbind/byaddr
%dir %{_sysconfdir}/authbind/byport
%dir %{_sysconfdir}/authbind/byuid
%{_bindir}/authbind
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*

%files libs
%defattr(-,root,root,-)
%dir %{_libdir}/authbind
%{_libdir}/authbind/helper
%{_libdir}/authbind/libauthbind.so.1
%attr(755,root,root) %{_libdir}/authbind/libauthbind.so.1.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/authbind.h
%{_libdir}/authbind/libauthbind.so


%changelog
* Thu Nov 21 2013 JoungKyun.Kim <http://oops.org> 1:2.1.1-1%{?dist}
- first packaged
